Bug 23171 - RFE - add further support for specifying initscript options
RFE - add further support for specifying initscript options
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: 23548
  Show dependency treegraph
 
Reported: 2001-01-02 15:00 EST by R P Herrold
Modified: 2014-03-16 22:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 10:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-01-02 15:00:15 EST
Per the discussion across the weekend on the Beta-Testers list, 

add a file:  /etc/sysconfig/syslogd  and /etc/sysconfig/klogd

allowing for a syntax:

SOPTIONS=" -r "

- and -

KOPTIONS=" -x "

Source each in the relevant initscript, and 

    daemon syslogd -m 0 $SOPTIONS

(properly, to avoid the mess like with sendmail, move the '-m 0' option
into the new SOPTIONS as a default setting)

-----------
For completeness, add to the klogd line as well, like:

     daemon klogd $KOPTIONS

-----------

Minor print documentation extension to point out the newly available
{SK}OPTIONS entry.
Comment 1 Pekka Savola 2001-01-02 15:24:23 EST
Strongly seconded.
Comment 2 Daniel Roesen 2001-01-03 04:31:20 EST
Dito.
Comment 3 Bill Nottingham 2001-01-19 13:03:30 EST
Will be fixed in sysklogd-1.4-5.

Note You need to log in before you can comment on or make changes to this bug.